Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Class HashSSORealm

    java.lang.Object
      org.mortbay.jetty.security.HashSSORealm

All Implemented Interfaces:
  SSORealm

    public class HashSSORealm

extends Object
implements SSORealm

Field Summary
`static String` | `SSO_COOKIE_NAME`

Constructor Summary
`HashSSORealm()`

Method Summary
`void` | `clearSingleSignOn(String username)` Clear SSO for user.
`Credential` | `getSingleSignOn(Request request, Response response)` Get SSO credentials.
`void` | `setSingleSignOn(Request request, Response response, Principal principal, Credential credential)` Set SSO principal and credential.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSO_COOKIE_NAME

    public static final String SSO_COOKIE_NAME

See Also:
  Constant Field Values

Constructor Detail

### HashSSORealm

    public HashSSORealm()

Method Detail

### getSingleSignOn

    public Credential getSingleSignOn(Request request,
                                      Response response)

  Description copied from interface: `SSORealm`
  Get SSO credentials. This call is used by an authenticator to check if a SSO exists for a request. If SSO authentiation is successful, the requests UserPrincipal and AuthUser fields are set. If available, the credential used to authenticate the user is returned. If recoverable credentials are not required then null may be return.

  Specified by:
    `getSingleSignOn` in interface `SSORealm`
  Parameters:
    `request` - The request to SSO.
    `response` - The response to SSO.
  Returns:
    A credential if available for SSO authenticated requests.

### setSingleSignOn

    public void setSingleSignOn(Request request,
                                Response response,
                                Principal principal,
                                Credential credential)

  Description copied from interface: `SSORealm`
  Set SSO principal and credential. This call is used by an authenticator to inform the SSO mechanism that a user has signed on. The SSO mechanism should record the principal and credential and update the response with any cookies etc. required.

  Specified by:
    `setSingleSignOn` in interface `SSORealm`
  Parameters:
    `request` - The authenticated request.
    `response` - The authenticated response/
    `principal` - The principal that has been authenticated.
    `credential` - The credentials used to authenticate.

### clearSingleSignOn

    public void clearSingleSignOn(String username)

  Description copied from interface: `SSORealm`
  Clear SSO for user.

  Specified by:
    `clearSingleSignOn` in interface `SSORealm`
  Parameters:
    `username` - The user to clear.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.